#
# Conditional build:
%bcond_without	static_libs	# static library
#
%define		orgname	goffice
%define		api_version	0.10
#
Summary:	Glib/Gtk+ set of document centric objects and utilities
Summary(pl.UTF-8):	Zestaw zorientowanych dokumentowo obiektów i narzędzi Glib/Gtk+
Name:		libgoffice
Version:	0.10.9
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/goffice/0.10/%{orgname}-%{version}.tar.xz
# Source0-md5:	98e540dc4273eca088d31005fcf397d9
URL:		http://www.gtk.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	gdk-pixbuf2-devel >= 2.22.0
BuildRequires:	gettext-devel
BuildRequires:	ghostscript-devel >= 9.06
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gobject-introspection-devel >= 1.0.0
BuildRequires:	gtk+3-devel >= 3.2.0
BuildRequires:	gtk-doc >= 1.12
BuildRequires:	intltool >= 0.35.0
BuildRequires:	lasem-devel >= 0.4.1
BuildRequires:	libgsf-devel >= 1.14.23
BuildRequires:	librsvg-devel >= 2.22.0
BuildRequires:	libspectre-devel >= 0.2.6
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pango-devel >= 1:1.24.0
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrender-devel
Requires:	cairo >= 1.10.0
Requires:	gdk-pixbuf2 >= 2.22.0
Requires:	glib2 >= 1:2.28.0
Requires:	gtk+3 >= 3.2.0
Requires:	lasem >= 0.4.1
Requires:	libgsf >= 1.14.23
Requires:	librsvg >= 2.22.0
Requires:	libspectre >= 0.2.6
Requires:	libxml2 >= 1:2.6.26
Requires:	pango >= 1:1.24.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GOffice - a Glib/Gtk+ set of document centric objects and utilities.

%description -l pl.UTF-8
GOffice - Zestaw zorientowanych dokumentowo obiektów i narzędzi
Glib/Gtk+.

%package devel
Summary:	Header files for GOffice library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GOffice
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.10.0
Requires:	glib2-devel >= 1:2.28.0
Requires:	gtk+3-devel >= 3.2.0
Requires:	lasem-devel >= 0.4.1
Requires:	libgsf-devel >= 1.14.23
Requires:	libspectre-devel >= 0.2.6
Requires:	libxml2-devel >= 1:2.6.26
Requires:	pango-devel >= 1:1.24.0

%description devel
This is the package containing the header files for GOffice.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe GOffice.

%package static
Summary:	Static GOffice library
Summary(pl.UTF-8):	Statyczna biblioteka GOffice
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GOffice library.

%description static -l pl.UTF-8
Statyczna biblioteka GOffice.

%package apidocs
Summary:	GOffice library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki GOffice
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GOffice library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GOffice.

%prep
%setup -qn %{orgname}-%{version}

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-introspection \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/goffice/%{api_version}/plugins

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/goffice/%{version}/plugins/*/*.{a,la} \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{orgname}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{orgname}-%{version}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libgoffice-%{api_version}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgoffice-%{api_version}.so.10
%dir %{_libdir}/goffice
%dir %{_libdir}/goffice/%{api_version}
%dir %{_libdir}/goffice/%{api_version}/plugins
%dir %{_libdir}/goffice/%{version}
%dir %{_libdir}/goffice/%{version}/plugins
%dir %{_libdir}/goffice/%{version}/plugins/*
%attr(755,root,root) %{_libdir}/goffice/%{version}/plugins/*/*.so
%{_libdir}/goffice/%{version}/plugins/*/*.xml
%{_libdir}/girepository-1.0/GOffice-%{api_version}.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgoffice-%{api_version}.so
%{_includedir}/libgoffice-%{api_version}
%{_pkgconfigdir}/libgoffice-%{api_version}.pc
%{_datadir}/gir-1.0/GOffice-%{api_version}.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgoffice-%{api_version}.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/goffice-%{api_version}
%changelog
* Sun Dec 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgoffice.git;a=log;h=master

* Sat Nov 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 886a6a6
- updated dependencies

* Fri Nov 29 2013 Jakub Bogusz <qboosh@pld-linux.org> fa6a6f8
- updated to 0.10.9

* Mon Jul 22 2013 Artur Frysiak <artur@frysiak.net> 433dc50
- Up to 0.10.4

* Tue Jun 11 2013 Artur Frysiak <artur@frysiak.net> b5620cb
- Up to 0.10.2

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> e20a7f7
- goffice has separate dirs for internal and external plugins
- rel 3

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> fb06fb5
- define api_version and set up api_ver to program ver lib dir symlink
  needed for external plugins (pkg-config --variable=PluginDir libgoffice-0.10)
- rel 2

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> 92bd383
- updated to 0.9.90

* Thu Sep 08 2011 lisu <lisu@pld-linux.org> 3bee021
- updated to 0.8.17

* Tue Jun 21 2011 lisu <lisu@pld-linux.org> f830b7b
- updated to 0.8.16

* Tue May 24 2011 lisu <lisu@pld-linux.org> f1ae838
- updated to 0.8.15
- verbose build

* Mon Mar 28 2011 lisu <lisu@pld-linux.org> 1649142
- 0.8.14

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 220be6f
- drop libtool file
- rel. 2

* Thu Feb 03 2011 lisu <lisu@pld-linux.org> 1c2d40c
- up to 0.8.13

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 4f2fdae
- adapter: fixed broken cvs keywords

* Wed Dec 08 2010 lisu <lisu@pld-linux.org> 6f76670
- 0.8.12

* Mon Oct 04 2010 lisu <lisu@pld-linux.org> fe85c83
- 0.8.11

* Mon Sep 06 2010 lisu <lisu@pld-linux.org> 6c0b4db
- 0.8.10

* Tue Aug 17 2010 lisu <lisu@pld-linux.org> 14223f9
- 0.8.9

* Mon Aug 02 2010 lisu <lisu@pld-linux.org> fa5541d
- 0.8.8

* Mon Jul 12 2010 lisu <lisu@pld-linux.org> 9d8af76
- 0.8.7

